Bug 430521 - sky2: stuck in link detect/failure cycle
Summary: sky2: stuck in link detect/failure cycle
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 9
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-28 16:20 UTC by Warren Togami
Modified: 2009-07-14 15:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 15:41:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg-docked.txt (30.28 KB, text/plain)
2008-01-28 18:18 UTC, Warren Togami
no flags Details
dmesg-undocked.txt (32.81 KB, text/plain)
2008-01-28 18:18 UTC, Warren Togami
no flags Details

Description Warren Togami 2008-01-28 16:20:22 UTC
Sony Vaio VGN-UX390N
Intel 945 chipset

06:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8036 PCI-E Fast
Ethernet Controller (rev 16)
	Subsystem: Sony Corporation Unknown device 8203
	Flags: bus master, fast devsel, latency 0, IRQ 221
	Memory at f4000000 (64-bit, non-prefetchable) [size=16K]
	I/O ports at 3000 [size=256]
	Capabilities: [48] Power Management version 2
	Capabilities: [50] Vital Product Data <?>
	Capabilities: [5c] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1 Enable+
	Capabilities: [e0] Express Legacy Endpoint, MSI 00
	Kernel driver in use: sky2
	Kernel modules: sky2

This ultra-portable has an Etherport port only on its dock.  It works fine when
plugged into the dock, but it has this annoying behavior when unplugged from the
dock where it gets stuck in a loop:

ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
sky2 eth0: Link is up at 100 Mbps, half duplex, flow control none
sky2 eth0: Link is down.
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
sky2 eth0: Link is up at 100 Mbps, half duplex, flow control none
sky2 eth0: Link is down.

Kernel detects a link, and NetworkManager tries to DHCP on Ethernet.  It fails
and the link goes down.  Then it detects a link and loops again.

Kernels effected:
kernel-2.6.23.1-42.fc8 (Fedora 8 GA)
kernel-2.6.24-2.fc9 (Fedora 9 Alpha)

Comment 1 Chuck Ebbert 2008-01-28 17:53:24 UTC
Can you post the kernel boot messages when booting connected to the dock, and
also from booting while disconnected?

Comment 2 Warren Togami 2008-01-28 18:18:19 UTC
Created attachment 293174 [details]
dmesg-docked.txt

Comment 3 Warren Togami 2008-01-28 18:18:41 UTC
Created attachment 293175 [details]
dmesg-undocked.txt

Comment 4 Bug Zapper 2008-05-14 04:54:29 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-06-09 23:26:48 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-14 15:41:25 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.